# Update an account-level template version

Update information or content of the specific version of an account-level template. Existing fields not included in the request will not be changed.

Endpoint: PUT /v4/templates/{template_name}/versions/{version_name}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `template_name` (string, required)
    Template name the version is stored under.

  - `version_name` (string, required)
    Tag of the version of the template to be updated.

## Request fields (multipart/form-data):

  - `template` (string)
    Content of the template.

  - `comment` (string)
    Comment related to the version.

  - `active` (string)
    If this flag is set to yes, this version becomes active

  - `headers` (string)
    Key value JSON object of headers to be stored with the template.

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

  - `template` (object, required)
    Template change details

  - `template.name` (string, required)
    Name of the template

  - `template.version` (any)
    Template version details

  - `template.version.tag` (string, required)
    Tag of the version. Must be unique to the template

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message

